---
title: Add or update a payment method
description: Learn how to add or update a payment method in Docker Hub
keywords: payments, billing, subscription
---

> **Early access features**
>
> If you're subscribed to Docker Pro or subscribed to Docker Team or Business after October 23, 2023, you may have a different user interface experience. To add or update a payment method, go to the **Billing** page for your account, then select the **Payment methods and billing history** link.
{ .restricted }

This page describes how to add or update a payment method for your personal account or for an organization. 

You can add a payment method or update your account's existing payment method at any time.

>**Important**
>
> If you want to remove all payment methods, you must first downgrade your subscription to a free plan. See [Downgrade](../subscription/downgrade.md), for more information. 

## Personal account

1. Select your username in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the **Payment Methods** tab. 
4. In the **Payment information** section, enter the new payment method. 
    The screen refreshes and displays your new payment information alongside your existing information.
5. Select **Make Default** to ensure that your new payment method applies to all purchases and subscriptions. 
6. Optional. Remove your existing payment method by selecting the **X** icon.

## Organization 

> **Note**
>
> You must be an organization owner to make changes to the payment information.

1. Select your username in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**. 
3. Select the organization account you want to update.
4. Select the **Payment Methods** tab.
5. In the **Payment Information** section, enter the new payment method. 
    The screen refreshes and displays your new payment information alongside your existing information.
6. Select **Make Default** to ensure that your new payment method applies to all purchases and subscriptions. 
7. Optional. Remove your existing payment method by selecting the **X** icon.