---
title: Configure CI/CD for your Go application
keywords: ci, cd, ci/cd, continuous integration, continuous deployment, deployment,
  github, github actions, go, golang, development
description: Learn how to set up CI/CD pipeline for your application.
aliases:
- /get-started/golang/configure-ci-cd/
---

## Get started with GitHub Actions

{{< include "gha-tutorial.md" >}}

## Next steps

In this module, you have learned how to set up GitHub Actions workflow to an existing dockerized Go project, optimize your workflow to improve build times, and reduce the number of pull requests. Finally, you learned how to push only specific versions to Docker Hub.

You can also consider deploying your application to a public Cloud provider, such as Azure and AWS or to an orchestration platform such as Kubernetes.

In the next module, you’ll look into some options for doing so.

{{< button text="Deploy your app" url="deploy.md" >}}
